curl --request GET \
--url https://api.quiver.ai/v1/models/{model} \
--header 'Authorization: Bearer <token>'{
"id": "arrow-preview",
"object": "model",
"name": "Arrow",
"description": "QuiverAI API flagship SVG generation model for text-to-SVG and image-to-SVG.",
"created": 1704067200,
"owned_by": "quiver",
"input_modalities": [
"text",
"image"
],
"output_modalities": [
"svg"
],
"context_length": 131072,
"max_output_length": 131072,
"pricing": {
"prompt": "0.000001",
"completion": "0.000002",
"image": "0",
"request": "0",
"input_cache_reads": "0",
"input_cache_writes": "0"
},
"supported_operations": [
"svg_generate",
"svg_vectorize"
],
"supported_sampling_parameters": [
"temperature",
"top_p",
"stop",
"presence_penalty"
]
}Returns metadata for a single model.
curl --request GET \
--url https://api.quiver.ai/v1/models/{model} \
--header 'Authorization: Bearer <token>'{
"id": "arrow-preview",
"object": "model",
"name": "Arrow",
"description": "QuiverAI API flagship SVG generation model for text-to-SVG and image-to-SVG.",
"created": 1704067200,
"owned_by": "quiver",
"input_modalities": [
"text",
"image"
],
"output_modalities": [
"svg"
],
"context_length": 131072,
"max_output_length": 131072,
"pricing": {
"prompt": "0.000001",
"completion": "0.000002",
"image": "0",
"request": "0",
"input_cache_reads": "0",
"input_cache_writes": "0"
},
"supported_operations": [
"svg_generate",
"svg_vectorize"
],
"supported_sampling_parameters": [
"temperature",
"top_p",
"stop",
"presence_penalty"
]
}Authentication via Bearer token API key
Model identifier
1"arrow-preview"
Model details
1model x >= 0text, image, svg text, image, svg x > 0x > 0Show child attributes
svg_generate, svg_edit, svg_animate, svg_vectorize, chat_completions temperature, top_p, top_k, repetition_penalty, presence_penalty, stop Was this page helpful?